# Soul Linux

A lightweight, fast, Secure and hybrid base Linux distro.

soullinux is opensourced under the GNu GPL v3 license.
I hope you enjoy using soullinux as much as I did makeing it.
- Venkatesh Mishra

# Our aim
Our aim is to make Linux popular and stable as a Desktop operating system. We deliver enterprise level security to Desktop users. Linux was initially made to be a Desktop OS, but due to it's secure and lightweight nature has become a Server OS. We are hoping to make Linux the best Desktop Operating System. And show the world that Linux can be just as good as a Desktop os. We are not trying to compete with Windows or Mac but we want to get Linux the same popularity as these both operating systems.

# doas
doas or dedicated openbsd application subexecutor is a secure and lightweight alternative to sudo made by the OpenBSD developers. We use this instead of sudo due to the secure and very lightweight nature of it. The configuration file is also very easy to understand and read. This subexecutor is suitable for beginners. The Soullinux doas config alows SSH via the super user, the can be disabled by editing the /etc/doas.conf file. 

# hybrid base
soullinux is a hybrid based Linux distro, which has a base of Arch Linux but can use the default rolling Arch repos or the Stable Universe soullinux repos. By default it comes with the stable repos, but you can choose if you want it or not during the installation.

# Source code
You can see our Source code on Github (https://github.com/vmishra103269/Soullinux) and Gitlab (https://vm.opensource/soul-linux) and clone into to keep a local copy of our code.
* Github 
```bash
git clone https://github.com/vmishra103269/Soullinux.git
```
* Gitlab
```bash
git clone https://gitlab.com/vm.opensource/soul-linux.git
```
 
# The website and repositories
We are currently working on the Soul Linux official website which is at: https://soullinux.w3spaces.com/, we are hoping the development for the website should be finished sooner than the OS itself. Please do wait for the first release of Soul Linux. We are also working on the package repositories for Soul Linux, which has two main parts. The stable which will be enabled by defualt will be hosted on Gitlab and the testing repositories will be hosted by us locally. The packages from the core, extra and community repositories will be thouroghly tested. So you can trust us on the stability we give.

# The development team

 * Venkatesh Mishra (head developer) : experienced in Cybersecurity: vm.opensouce

# Important Note
Soul Linux is currently under development by Venkatesh Mishra, please do not use any of the code until the first release of Soul Linux is publicly released. The development stages are aslo open source to make sure we are following the Security measures to patch the vulnerabilities in our code. Please do wait for the development to be finished. Until then you can help by contributing code. Soul Linux is a community made project and not backed by any company so the development time could take a while. We request you to wait patinelty for the first release.
We hope you enjoy using our Operating System once it's made. Please do co-operate with us and help us by contributing code. We are currently in search of anyone who can help use with the GUI applications for Soul Linux, and are hoping we will soon get people wanting to help us.

- Regards Venkatesh Mishra
